commit:     119f30f9cb4597cb3b7631405410f4c98b04b15d
Author:     Sergey Popov <pinkbyte <AT> gentoo <DOT> org>
AuthorDate: Tue Feb 26 10:32:18 2019 +0000
Commit:     Sergey Popov <pinkbyte <AT> gentoo <DOT> org>
CommitDate: Tue Feb 26 10:32:18 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=119f30f9

dev-db/sqlcipher: version bump

Bump EAPI to 7.
Add support for some extensions during buildtime,
including column metadata info.

Signed-off-by: Sergey Popov <pinkbyte <AT> gentoo.org>
Reported-by: paradox_ptr <paradox_ptr <AT> protonmail.ch>
Closes: https://bugs.gentoo.org/670346
Package-Manager: Portage-2.3.51, Repoman-2.3.10

 dev-db/sqlcipher/Manifest               |  1 +
 dev-db/sqlcipher/sqlcipher-4.0.1.ebuild | 67 +++++++++++++++++++++++++++++++++
 2 files changed, 68 insertions(+)

diff --git a/dev-db/sqlcipher/Manifest b/dev-db/sqlcipher/Manifest
index 300a2664c6a..35e3d49592a 100644
--- a/dev-db/sqlcipher/Manifest
+++ b/dev-db/sqlcipher/Manifest
@@ -1 +1,2 @@
 DIST sqlcipher-3.4.2.tar.gz 14743960 BLAKE2B 
88ee265b02bb9a42734c2ef93070c8fd8e13d546d7cc85e7fbfd6e6046ccbf2626d75e14b19cbba379c99784c7311d0100de06235b99b4908c60c99890d8d7a2
 SHA512 
c620bf2b175e404afd60ebe76b5476f5a447ff5fcdfa31bebc3f4bd7f1ebfcd507ee423cd582c9b3d6431d8b57320171492da2586e1a739adb4f440e7443dc03
+DIST sqlcipher-4.0.1.tar.gz 17006324 BLAKE2B 
44e8eb4e1230c3625b4fe1b4af608cd8edc25f3c6adf7e11450c8f9ddb7970fea92ff0823f3a1e631d1b0acfbab6cf078c80e4645c535d66de57f1d73b55ff47
 SHA512 
0fb48326860a10e9849b2f56fae0c310deae124c7203b54d51f92d346782be795d505c29eafbdfb7206f5e7be54c0f7228fe50c45bd9d2b23cca976b263264fc

diff --git a/dev-db/sqlcipher/sqlcipher-4.0.1.ebuild 
b/dev-db/sqlcipher/sqlcipher-4.0.1.ebuild
new file mode 100644
index 00000000000..7ce770c2ff1
--- /dev/null
+++ b/dev-db/sqlcipher/sqlcipher-4.0.1.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2019 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools flag-o-matic multilib-minimal
+
+DESCRIPTION="Full Database Encryption for SQLite"
+HOMEPAGE="https://www.zetetic.net/sqlcipher/";
+SRC_URI="https://github.com/sqlcipher/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+IUSE="debug libedit readline libressl static-libs tcl test"
+
+# Tcl is always needed by buildsystem
+RDEPEND="
+       libedit? ( dev-libs/libedit[${MULTILIB_USEDEP}] )
+       !libressl? ( dev-libs/openssl:0=[${MULTILIB_USEDEP}] )
+       libressl? ( dev-libs/libressl:0=[${MULTILIB_USEDEP}] )
+       readline? ( sys-libs/readline:0=[${MULTILIB_USEDEP}] )
+       tcl? ( dev-lang/tcl:=[${MULTILIB_USEDEP}] )
+"
+DEPEND="${RDEPEND}
+       dev-lang/tcl:*"
+
+# Libedit and readline support are mutually exclusive
+# Testsuite requires compilation with TCL, bug #582584
+REQUIRED_USE="
+       libedit? ( !readline )
+       test? ( tcl )
+"
+
+DOCS=( README.md )
+
+src_prepare() {
+       # Column metadata added due to bug #670346
+       append-cflags -DSQLITE_HAS_CODEC -DSQLITE_ENABLE_COLUMN_METADATA
+       default_src_prepare
+       eautoreconf
+}
+
+multilib_src_configure() {
+       ECONF_SOURCE=${S} \
+       econf \
+               --enable-fts3 \
+               --enable-fts4 \
+               --enable-fts5 \
+               --enable-geopoly \
+               --enable-json1 \
+               --enable-memsys5 \
+               --enable-rtree \
+               --enable-session \
+               --enable-tempstore \
+               $(use_enable debug) \
+               $(use_enable libedit editline) \
+               $(use_enable readline) \
+               $(use_enable static-libs static) \
+               $(use_enable tcl)
+}
+
+multilib_src_install_all() {
+       find "${D}" -name '*.la' -type f -delete || die
+       einstalldocs
+}

Reply via email to